Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.tdk.signaturetest.ant
Class ABase

    java.lang.Object
      org.apache.tools.ant.ProjectComponent
          org.apache.tools.ant.Task
              com.sun.tdk.signaturetest.ant.ASuperBase
                  com.sun.tdk.signaturetest.ant.ABase

Direct Known Subclasses:
  ASetup, ATest

    public class ABase

extends ASuperBase

Base class for ant wrappers such as ASetup and ATest

Nested Class Summary
`static class` | `ABase.AExclude`
`static class` | `ABase.APackage`

Field Summary

Fields inherited from class com.sun.tdk.signaturetest.ant.ASuperBase
`failOnError, negative`

Fields inherited from class org.apache.tools.ant.Task
`description, location, target, taskName, taskType, wrapper`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`project`

Constructor Summary
`ABase()`

Method Summary
`org.apache.tools.ant.types.Path` | `createClasspath()`
`ABase.AExclude` | `createExclude()`
`ABase.APackage` | `createPackage()`
`void` | `setApiVersion(java.lang.String s)`
`void` | `setClasspath(org.apache.tools.ant.types.Path s)`
`void` | `setExclude(java.lang.String s)`
`void` | `setFilename(java.lang.String s)`
`void` | `setPackage(java.lang.String s)`

Methods inherited from class com.sun.tdk.signaturetest.ant.ASuperBase
`setFailonerror, setNegative`

Methods inherited from class org.apache.tools.ant.Task
`execute, getDescription, getLocation, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, init, isInvalid, log, log, maybeConfigure, perform, reconfigure, setDescription, setLocation, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`getProject, setProject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ABase

    public ABase()

Method Detail

### setClasspath

    public void setClasspath(org.apache.tools.ant.types.Path s)

### createClasspath

    public org.apache.tools.ant.types.Path createClasspath()

### setExclude

    public void setExclude(java.lang.String s)

### createExclude

    public ABase.AExclude createExclude()

### setPackage

    public void setPackage(java.lang.String s)

### createPackage

    public ABase.APackage createPackage()

### setFilename

    public void setFilename(java.lang.String s)

### setApiVersion

    public void setApiVersion(java.lang.String s)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD